[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# Exponent

Exponent of the floating point value

## Declaration

Source position: mathh.inc line 185

`function TDoubleRec.Exponent: LongInt;`

## Description

Exponent returns the exponent (X in m*2^X representation) of the floating point value.

## See also

TDoubleRec.Fraction |  | Fraction of the floating point value
TDoubleRec.Mantissa |  | Mantissa of the floating point value
TDoubleRec.SpecialType |  | Is the floating point value special ?